Full name: projects.locations.instances.remoteAgents.get
Gets a single RemoteAgent. Use this method to retrieve detailed information about a specific remote agent, including its connectivity status, version, and associated environments. Note that deleted agents are not returned by this method.
HTTP request
GET https://{endpoint}/v1alpha/{name}
Where {endpoint} is one of the supported service endpoints.
Path parameters
| Parameters | |
|---|---|
name |
Required. The name of the remote agent to retrieve |
Request body
The request body must be empty.
Response body
If successful, the response body contains an instance of RemoteAgent.
Authorization scopes
Requires one of the following OAuth scopes:
https://www.googleapis.com/auth/cloud-platformhttps://www.googleapis.com/auth/chroniclehttps://www.googleapis.com/auth/chronicle.readonly
For more information, see the Authentication Overview.
IAM Permissions
Requires the following IAM permission on the name resource:
chronicle.remoteAgents.get
For more information, see the IAM documentation.